% OVERALL STRUCTURE OF EMPIRICAL CODE:
%
% 1. BF_empirical_main_v2.m has to be run for each epsilon of interest.

epsilonGridEmpirical = computeEmpiricalEpislonGrid();

for i=1:length(epsilonGridEmpirical)
    epsilon = epsilonGridEmpirical(i);
    BF_empirical_main_v2(epsilon);
end

% 2. Then you have to run the empirically calibrated simulations on the
% server, to choose epsilon.
%
% Do this by running runEmpiricalMC_cluster(epsilon) for each choice of
% epislon
%
% 3. Finally, compileAllEmpiricalResults.m will put everything together and
% produce the final BF plots presented in the paper.

compileAllEmpiricalResults();
