%% Import outcome variables
run BF_empirical_importOutcomeData.m;
Y = VarName11; % Log-wage. Missing = -1;

clear VarName1 VarName2 VarName3 VarName4 VarName5 VarName6 ...
    VarName7 VarName8 VarName9 VarName10 VarName11;

%% Import treatment variables
run BF_empirical_importTreatmentData.m;
X = VarName1; % Abducted indicator

clear VarName1 VarName2 VarName3 VarName4 VarName5 VarName6;

%% Import covariates

run BF_empirical_importCovariates.m;
W1 = VarName1; % Age at the time of the survey      "age"
W2 = VarName3; % Household size in 1996             "hh_size96"

clear VarName1 VarName2 VarName3 VarName4 VarName5 VarName6 ...
    VarName7 VarName8 VarName9 VarName10 VarName11 VarName12 ...
    VarName13 VarName14 VarName15;

%% Remove observations with missing outcome data

W1 = W1(Y ~= -1);
W2 = W2(Y ~= -1);

X = X(Y ~= -1);
Y = Y(Y ~= -1);

%% Fix one typo in the data
% Could have just set W2(284)=11, but the code below is more robust, just
% in case the input data changes for some reason.

for i=1:length(W2)
    if W2(i) > 11 && W2(i) < 12
        display(sprintf('Typo in W2 for observation %g corrected',i));
        W2(i) = 11;
    end
end

clear i;