function cdfValue = Fupper_subFun(FYX,px,c)

    %% Case 1: Small values of c
    if c < min(px,1-px)
            
        cdfValue = min(FYX*px/(px-c), FYX*px/(px+c) + c/(px+c));
        
    %% Case 2A: Intermedeiate values of c
    elseif (px <= c) && (c < 1-px)
           
        % < 0 can happen for the bootstrap, with epsilon large enough
        % So, for valid cdfs we really only define need to define this case
        % for == 0, we need to extend it to <= 0 to accomodate this large
        % epsilon case
        if FYX <= 0

            cdfValue = 0;

        elseif FYX > 0

            cdfValue = FYX*px/(px+c) + c/(px+c);

        end
             
    %% Case 2B: Intermedeiate values of c
    elseif (1-px <= c) && (c < px)
        
        if FYX <= (1-px)*(px-c)/((1-px+c)*px)

            cdfValue = FYX*px/(px-c);

        elseif FYX > (1-px)*(px-c)/((1-px+c)*px)

            cdfValue = 1 + (FYX - 1)*px;

        end        
        
    %% Case 3: Large values of c    
    elseif c >= max(px,1-px)

        % See comment in case 2A
        if FYX <= 0

            cdfValue = 0;

        elseif FYX > 0

            cdfValue = 1 + (FYX - 1)*px;

        end

    else
        error('Error: No valid c case.');
    end
    
    % With large enough epsilon, it is possible that Flower will be be
    % outside of [0,1], and that is OK.
    
end