function value = UBobjfun(params,a,z,c,Data,h,DataBootstrap,epsilon)

    % Numerical illustration; use true population functions
    if nargin == 4
        value = Fupper(params,a,1,c) - Flower(params,a-z,0,c);        
    
    % Use estimated cdfs and quantile functions
    elseif nargin == 6
        value = ...
            Fupper(params,a,1,c,Data,h) - Flower(params,a-z,0,c,Data,h);
        
    elseif nargin == 8
        value = ...
            Fupper(params,a,1,c,Data,h,DataBootstrap,epsilon) ...
            - Flower(params,a-z,0,c,Data,h,DataBootstrap,epsilon);        
        
    end
    
    if isnan(value) == 1
        display('UBobjfun is NaN!');
    end
    
end