% This function computes the probability equality constraint used in
% constructing the non-equal width uniform bands
function [C,Ceq] = bandConstraint(k,Dvec,alpha,hvec)
    
    C = [];
    
    % Dvec = (number of grid points) by (number of bootstrap draws)
    % That is, Dvec = (Ncgrid) by (Nbootstrap)
    %
    % k = (Ncgrid) by 1
    cdfValue = smoothedCDF(k,Dvec,hvec);
    
    % This is what we want to equal zero
    Ceq = cdfValue - (1-alpha);

end