function compileAllEmpiricalMCResults(alphaGrid,epsilonGrid,plowerbarGrid)

MCgrids.epsilonGrid = epsilonGrid;
MCgrids.alphaGrid = alphaGrid;
MCgrids.plowerbarGrid = plowerbarGrid;

coverageProbs = nan(length(MCgrids.epsilonGrid),length(plowerbarGrid),length(alphaGrid));
areaRatios = nan(length(MCgrids.epsilonGrid),length(plowerbarGrid));

for j=1:size(MCgrids.epsilonGrid,1)
    epsilonToAggregate = MCgrids.epsilonGrid(j);

    try

        load(sprintf('../output/MCresultsEmpirical_eps%2.4f.mat',epsilonToAggregate));

        for k=1:length(MCgrids.alphaGrid)
            coverageProbs(j,:,k) = UnifCovgProb_unequal(k,:);
            areaRatios(j,:,k) = meanRatioOfAreas(:,k)';
        end

    catch
        display(sprintf('Did not load empirical MC results for epsilon = %2.4f.',...
            epsilon));
    end

end

clear j k;

%% Save overall MC results file, for use in printMCresults.m

save('../output/MCresultsEmpiricalAll.mat','areaRatios','coverageProbs','MCgrids');

end