function compileDifferentCoarsenings()

%% Load data
params.covariatesOn = 1;
Nbootstrap = 0;
Ncgrid = 25;
gridParams.Ngrid = 100;
plowerbarGrid = [0.1 0.25 0.5];
epsilon = 0.4725;
coarsenings = [1 2 3 4 5 6];

Empirical.BFhat = nan(Ncgrid,length(plowerbarGrid),length(coarsenings));

for jindex=1:length(coarsenings)
    
    coarsenW = coarsenings(jindex);
    
    load(sprintf('../output/BF_empirical_Nint%2.2d_Nc%2.2d_B%2.2d_covars%g_coarsen%g_eps%2.4f.mat',...
    gridParams.Ngrid,Ncgrid,Nbootstrap,params.covariatesOn,coarsenW,epsilon));
    
    Empirical.BFhat(:,:,jindex) = BFvec;

end

clearvars -except alpha Empirical cgrid cupperbarNatural Ncgrid gridParams params plowerbarGrid Nbootstrap epsilonGridEmpirical;

%% Plot results

printDirectory = sprintf('../images/Empirical_Coarsenings');
plotOptions.minimal = 0;
specialIndex = [0 0 0];
plotEstVsTruth_empirical_MOD_FOR_COARSENINGS(Empirical.BFhat(:,:,1),Empirical.BFhat(:,:,2:3),cgrid,0.2,plowerbarGrid(1:3),plotOptions,specialIndex,printDirectory);
plotEstVsTruth_empirical_MOD_FOR_COARSENINGS(Empirical.BFhat(:,:,4),Empirical.BFhat(:,:,5:6),cgrid,0.2,plowerbarGrid(1:3),plotOptions,specialIndex,printDirectory);
% NOTE: To get bold vs dotted lines you have to manually edit the plot
% function here.

end