function value = computeATElb(params,c,Data,h,DataBootstrap,epsilon)

    if nargin == 2
        fun = @(u) Qlower(params,u,1,c) - Qupper(params,u,0,c);

    elseif nargin == 4
        fun = ...
           @(u) Qlower(params,u,1,c,Data,h)-Qupper(params,u,0,c,Data,h);
       
    elseif nargin == 6
        fun = ...
           @(u) Qlower(params,u,1,c,Data,h,DataBootstrap,epsilon)...
                -Qupper(params,u,0,c,Data,h,DataBootstrap,epsilon);
    end
    
    NUgrid = 1000;
    Ugrid = linspace(0,1,NUgrid);
    
    integrand = nan(length(Ugrid),1);
    for i=1:length(Ugrid)

        integrand(i) = fun(Ugrid(i));

    end
    
    value = mean(integrand);
    
end