% This code computes the BF for P(Y1>=Y0) >= plowerbar by first computing
% the upperbound for P(Y0>=Y1) and then letting
%
% LB [ P(Y1>=Y0) ] = 1 - UB [ P(Y0>=Y1).
%
function BF = computeBF(intPieceVec,minPieceVec,plowerbar)

    Ncgrid = length(intPieceVec);

    BF = zeros(Ncgrid,1);
    for i=1:Ncgrid

        LB1c = 1 - (1 + minPieceVec(i));
        LB0c = 1 - intPieceVec(i);

        if plowerbar < LB1c
            
            BF(i) = 1;

        elseif plowerbar >= LB1c && plowerbar <= LB0c

            numer = plowerbar + intPieceVec(i) - 1;
            denom = intPieceVec(i) - minPieceVec(i) - 1;

            BF(i) = numer/denom;

        elseif plowerbar > LB0c
            
            BF(i) = 0;

        else
            display('Error');

        end

    end
end