% This function takes the original data, the bootstrap sample, and then
% computes the perturbed cdf estimator on a large grid of points. The key
% point is that this estimator is a valid cdf. Then, whenever we need to
% call this perturbed cdf, we just lookup its value on this grid
function qVal = computePerturbedQuantile(tau,x,wIndex,DataBootstrap,covariatesOn)

if x == 0
    xIndex = 1;
elseif x == 1
    xIndex = 2;
end

if covariatesOn == 0
    CDFgivenX = DataBootstrap.PerturbedFhatMonotonicVec(:,xIndex);    
elseif covariatesOn == 1 
    CDFgivenX = DataBootstrap.PerturbedFhatMonotonicVec(:,xIndex,wIndex);
end
    
if tau <= 0
    qVal = min(DataBootstrap.Y);

elseif tau > 0
    
    CDFisLarger = (CDFgivenX >= tau);
    CDFindex = length(CDFgivenX) - sum(CDFisLarger) + 1;
    
    qVal = DataBootstrap.ygrid(CDFindex);
    
end


end