function plotEstVsTruth(BFtrueVec,BFhatVec,cgrid,cupperbar,plowerbarGrid,plotOptions,printDirectory)

for j=1:length(plowerbarGrid)
    plowerbar = plowerbarGrid(j);

    BFtrue = BFtrueVec(:,j);

    if nargin == 7
        h = figure('visible','off');
    else
        h = figure('visible','on');    
    end

    hold on;
    
    for i=1:size(BFhatVec,3)
        
        BFhat = BFhatVec(:,j,i);
        
        if ndims(BFhatVec) == 3
            plot(cgrid,BFhat,'-','LineWidth',0.5);
        elseif ndims(BFhatVec) == 2
            plot(cgrid,BFhat,'-','LineWidth',1.5);
        end
        set(gca,'fontsize',15);
        
        if plotOptions.minimal == 0
            
            title(strcat('Breakdown frontier, $\underline{p}$ = ',...
                sprintf('%2.2g',plowerbar)),'Interpreter','latex');
            xlabel('Deviation from full independence');
            ylabel('Deviation from rank invariance');

        
        elseif plotOptions.minimal == 1
            set(gca,'Xtick',[],'Ytick',[]);
            set(gca,'ycolor',[0.8 0.8 0.8]) % Remove y-axis %[0.8 0.8 0.8] = get(h,'color')
            
            % Inputs: [x1,x2],[y1,y2]. 
            % Then it draws a line from (x1,y1) to (x2,y2)
            yaxisStop = max([BFtrue(1) BFhat(1)]);
            line([0,0],[0,yaxisStop]);
            
        end

        box off;        
        axis([0,cupperbar,0,1]);

    end
    
    if plotOptions.reverseTruthColor == 1
        plot(cgrid,BFtrue,'-w','LineWidth',3);

    elseif plotOptions.reverseTruthColor == 0
        plot(cgrid,BFtrue,'--','LineWidth',2.5);
    end

    hold off;
                
    if nargin == 7
        fileNameEnd = sprintf('_plowerbar%2.2g.eps',plowerbar);
        print(h,'-deps',strcat(printDirectory,fileNameEnd));
    end

end

end