% BFhatVec is Ncgrid by length(plowerbarGrid) by Nsimulations
%
% This function plots two lower bands. To plot just one band, use [] for
% the FIRST band argument
%
% Note: The last argument is used when we only want to print a single 
% simulation run, AND we want to label that run in the file name.
function plotEstVsTruth_withLowerCIband(BFtrueVec,BFhatVec,...
    BFvec_MC1,BFvec_MC2,cgrid,cupperbar,plowerbarGrid,printDirectory,simRunVec)

if isempty(printDirectory) == 1
    fig = figure('visible','on');
elseif isempty(printDirectory) == 0
    fig = figure('visible','off');
end

for j=1:length(plowerbarGrid)
    plowerbar = plowerbarGrid(j);

    BFtrue = BFtrueVec(:,j);

    % Loop over each simulation run
    for i=1:size(BFhatVec,3)
        
        BFhat = BFhatVec(:,j,i);

        if isempty(BFvec_MC1) == 0
            BF_l = BFvec_MC1(:,j,i);
        end
        
        BF_l2 = BFvec_MC2(:,j,i);
        
        plot(cgrid,BFtrue,'--','LineWidth',2.5);
        hold on;
        plot(cgrid,BFhat,'-','LineWidth',1.5);
        
        if isempty(BFvec_MC1) == 0
            plot(cgrid,BF_l,'-.','LineWidth',2.5,'Color','black');
        end
        
        plot(cgrid,BF_l2,':','LineWidth',5,'Color','black');
        
        set(gca,'fontsize',15);
        title(strcat('Breakdown frontier, $\underline{p}$ = ',...
            sprintf('%2.2g',plowerbar)),'Interpreter','latex');
        xlabel('Deviation from full independence');
        ylabel('Deviation from rank invariance');
        box off;
        axis([0,cupperbar,0,1]);
        hold off;

        if isempty(printDirectory) == 1
            fprintf('i = %d\n',i);
            pause;
            
        elseif isempty(printDirectory) == 0
            if nargin < 9
                
                fileNameEnd = ...
                    sprintf('_plowerbar%2.2g_sim%d.eps',plowerbar,i);
            
            elseif nargin == 9
            
                fileNameEnd = ...
                    sprintf('_plowerbar%2.2g_sim%d.eps',plowerbar,simRunVec(j));

            end
            
            print(fig,'-deps',strcat(printDirectory,fileNameEnd));
        end
        
    end

end

end