function printMCresults(tableNumber)

if tableNumber == 1
    dgpChoice = 1;
    alphaIndex = 1;
    
    load(sprintf('../output/MCresultsAll_dgp%d.mat',dgpChoice));
    
    cellValues = coverageProbs;

elseif tableNumber == 2
    dgpChoice = 1;
    alphaIndex = 2;

    load(sprintf('../output/MCresultsAll_dgp%d.mat',dgpChoice));
    
    cellValues = coverageProbs;

elseif tableNumber == 3
    dgpChoice = 1;
    alphaIndex = 1;

    load(sprintf('../output/MCresultsAll_dgp%d.mat',dgpChoice));
    
    cellValues = areaRatios;

elseif tableNumber == 4
    dgpChoice = 1;
    alphaIndex = 2;

    load(sprintf('../output/MCresultsAll_dgp%d.mat',dgpChoice));
    
    cellValues = areaRatios;
    
end

MCgrids = setOverallSimGrids();

alphaGrid = MCgrids.alphaGrid;
epsilonGrid = MCgrids.epsilonGrid;
sampleSizeGrid = MCgrids.sampleSizeGrid;
epsilonScaleGrid = MCgrids.epsilonScaleGrid;
plowerbarGrid = MCgrids.plowerbarGrid;

fid = fopen(sprintf('../output_MCresults/MCsim_results_table%d.tex',tableNumber),'w');

fprintf(fid, '\\begin{table}[H] \\centering');

if (tableNumber == 1 || tableNumber == 2)
fprintf(fid, '\\caption{Coverage Probabilities \\label{MCresultsTable_coverageProbs_dgp%d}} \n',dgpChoice);
elseif (tableNumber == 3 || tableNumber == 4)
fprintf(fid, '\\caption{Proportional area under the confidence bands \\label{MCresultsTable_areaRatios_dgp%d}} \n',dgpChoice);  
end

fprintf(fid, '\\setlength{\\linewidth}{.1cm} \n');
fprintf(fid, '\\newcommand{\\contents}{ \n');

fprintf(fid, '\\begin{tabular}{c c c | c c c c c} \\hline\\hline \n');
% Note: This code does not adjust to the length of plowerbarGrid

fprintf(fid, '& & & \\multicolumn{5}{c}{$\\underline{p}$} \\\\ \n');

fprintf(fid, '$N$ & $\\varepsilon_N$ & $\\varepsilon_N / \\varepsilon_N^{\\text{naive}}$ & $%8.2f$ & $%8.2f$ & $%8.2f$ & $%8.2f$ & $%8.2f$ \\\\ \\hline \n',plowerbarGrid(1),plowerbarGrid(2),plowerbarGrid(3),plowerbarGrid(4),plowerbarGrid(5));
% Note: This code does not adjust to the length of plowerbarGrid

for i=1:length(sampleSizeGrid)
    % Label the sample size only in the first row
    fprintf(fid, '$%d$',sampleSizeGrid(i));
    
    for j=1:length(epsilonScaleGrid)
    fprintf(fid, ' & %8.4f & %8.2f & %8.3f & %8.3f & %8.3f & %8.3f & %8.3f \\\\ \n ', ...
        epsilonGrid(j,i),epsilonScaleGrid(j),cellValues(j,1,i,alphaIndex),cellValues(j,2,i,alphaIndex),cellValues(j,3,i,alphaIndex),cellValues(j,4,i,alphaIndex),cellValues(j,5,i,alphaIndex));    
    end
    
    if i == length(sampleSizeGrid)
        fprintf(fid, '\\hline\\hline ');
    else
        fprintf(fid, '\\\\ \\hline');
    end
    
    fprintf(fid, '\n');
end

if (tableNumber == 1 || tableNumber == 2)
fprintf(fid, '\\multicolumn{8}{p{0.95\\linewidth}}{\\footnotesize Nominal coverage is $1-\\alpha = %8.2f$. As discussed in the body text, the choice $\\varepsilon_N^{\\text{naive}} = 1/\\sqrt{N}$ yields the naive bootstrap. Cell values show uniform-over-$c$ coverage probabilities of one-sided lower confidence bands, computed to maximize total area under the band.} \\\\ \n',1-alphaGrid(alphaIndex));
elseif (tableNumber == 3 || tableNumber == 4)
fprintf(fid, '\\multicolumn{8}{p{0.95\\linewidth}}{\\footnotesize Nominal coverage is $1-\\alpha = %8.2f$. As discussed in the body text, the choice $\\varepsilon_N^{\\text{naive}} = 1/\\sqrt{N}$ yields the naive bootstrap. Cell values show the average (across simulations) ratio of the area under the confidence band to the area under the estimated breakdown frontier.} \\\\ \n',1-alphaGrid(alphaIndex));
end

fprintf(fid, '\\end{tabular}\n');

fprintf(fid, '} \n');

fprintf(fid, '\\setbox0=\\hbox{\\contents} \n');
fprintf(fid, '\\setlength{\\linewidth}{\\wd0\\tabcolsep0.6em} \n');
fprintf(fid, '\\contents \n');

fprintf(fid, '\\end{table}\n');
fclose(fid);

end