function printSummaryStats(Data)

Y = Data.Y;
X = Data.X;
W = Data.Woriginal;

expYlabel = 'Daily wage in Uganda shillings';
Ylabel = 'Log wage';
Xlabel = 'Not abducted?';
Wlabels ={'Age when surveyed','Household size in 1996'};

%%
fid = fopen('../output/Empirical_summaryStats.tex','w');

fprintf(fid, '\\begin{table}[H] \\centering');

fprintf(fid, '\\caption{Summary statistics \\label{empiricalSummaryStats}} \n');

fprintf(fid, '\\setlength{\\linewidth}{.1cm} \n');
fprintf(fid, '\\newcommand{\\contents}{ \n');

fprintf(fid, '\\begin{tabular}{l r r r r r} \\hline\\hline \n');

fprintf(fid, 'Variable Name & Mean & Median & Stddev & Min & Max  \\\\ \\hline \n');

fprintf(fid, ' %s & %8.2f & %8.2f & %8.2f & %8.2f & %8.2f \\\\ \n ', ...
    expYlabel,mean(exp(Y)),median(exp(Y)),std(exp(Y)),min(exp(Y)),max(exp(Y))); 

fprintf(fid, ' %s & %8.2f & %8.2f & %8.2f & %8.2f & %8.2f \\\\ \n ', ...
    Ylabel,mean(Y),median(Y),std(Y),min(Y),max(Y)); 

fprintf(fid, ' %s & %8.2f & %8.2f & %8.2f & %8.2f & %8.2f \\\\ \n ', ...
    Xlabel,mean(X),median(X),std(X),min(X),max(X)); 

for j=1:size(W,2)
    Wvar = W(:,j);
    
    fprintf(fid, ' %s & %8.2f & %8.2f & %8.2f & %8.2f & %8.2f \\\\ \n ', ...
        Wlabels{j},mean(Wvar),median(Wvar),std(Wvar),min(Wvar),max(Wvar)); 
    
end

fprintf(fid, '\\hline\\hline ');
fprintf(fid, '\n');

fprintf(fid, '\\multicolumn{6}{p{0.95\\linewidth}}{\\footnotesize Sample size is %d. 1 USD is approximately 1800 Uganda shillings (Exchange rate at time of survey, 2005-2006; source: World Bank).} \\\\ \n',length(Y));
fprintf(fid, '\\end{tabular}\n');
fprintf(fid, '} \n'); 

fprintf(fid, '\\setbox0=\\hbox{\\contents} \n');
fprintf(fid, '\\setlength{\\linewidth}{\\wd0\\tabcolsep0.6em} \n');
fprintf(fid, '\\contents \n');

fprintf(fid, '\\end{table}\n');
fclose(fid);

end