%% Set dgp parameters
function params = setDgpParams(dgpChoice)

    if dgpChoice == 1

        params.PI = 1;
        params.gamma = 0.1;
        params.p1true = 0.5;
        
        if dgpChoice == 1 % This is the dgp we use in the simulations
            
            params.p1w0true = 0.4; % So p_{1|1} = 0.6
            params.sigma = 0.9645358707834388;

        end
        
        params.p1w1true = ...
            (params.p1true - params.p1w0true*(1-params.q))/params.q;
        % Note: This could be <= 0 or >= 1 depending on the other
        % parameters. Check to make sure it is in (0,1).

        % The components of these two vectors should match (i.e. the first
        % vector gives the probability of the conditioning argument in the
        % corresponding component of the second vector)
        params.pW = [params.q 1-params.q]; % Should be a row vector
        params.p1hatCond = [params.p1w1true params.p1w0true]';        
        
        params.WsingleSuppSize = 2; % 2 support points for W
        
    end

    %%
    params.p0true = 1 - params.p1true;
    
    %%
    if params.p1w1true <= 0 || params.p1w1true >= 1
        error('Overlap fails');
    end

end