% WARNING: WsuppPointIndex is NOT the value of w! It is an INDEX for the 
% value. This is OK here because we store the values first and then just
% recall them here.
function cdfValue = trueConditionalCDF_MC(params,y,x,WsuppPointIndex)

    distChoice = 1;
    
    if nargin == 3

        if distChoice == 1
            normaldist = makedist('normal');
            truncatedNormalDist = truncate(normaldist,-4,4);

            dist = truncatedNormalDist;

        end

        evalPoint = (y - params.PI*x)/(params.gamma*x + params.sigma);
        
        cdfValue = cdf(dist,evalPoint);

    % This is a little more complicated since, to speed things up, I will
    % compute and store values of the cdf and then use table lookup. 
    % he `natural' way of computing the conditional cdf is in the
    % function trueConditionalCDF_MC_withW.m
    elseif nargin == 4
        
        if x == 0
            xIndex = 1;
        elseif x == 1
            xIndex = 2;
        end

        CDFgivenXW = params.trueCDF_givenXW(:,xIndex,WsuppPointIndex);

        if y < params.YsuppLB
            cdfValue = 0;
        elseif  y > params.YsuppUB
            cdfValue = 1;
        else
            DomainIsLarger = (params.trueCDFygrid >= y);
            DomainIndex = length(params.trueCDFygrid) - sum(DomainIsLarger) + 1;

            cdfValue = CDFgivenXW(DomainIndex);

        end
        
    end
    
end
